/* Container for the horizontal stepper */
.stepper-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 0 40px;
    width: 100%;
}
.mainStepperWrapper{
width: 770px;
}

/* Individual Step Group */
.stepper-group {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 2;
}

/* The Circle/Dot */
.stepper-dot {
    width: 21px;
    height: 21px;
    position: relative;
    border-radius: 50%;
    background-color: #fff;
    border: 2px solid #c7c7c7;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: #999;
    transition: all 0.3s ease;
}

/* State: Done (Blue with checkmark) */
.stepper-dot.done {
    background-color: #4db1e1;
    border-color: #4db1e1;
    color: #fff;
}

/* State: Active (Blue border only) */
.stepper-dot.active {
    border-color: #4db1e1;
    border-width: 2px;
    color: #4db1e1;
}
.stepper-dot.active::after{
    content: '';
    position: absolute;
    background: #4db1e1;
    border-radius: 50%;
    width: 12px;
    height: 11px;
    left: 2.9px;
    top: 3.5px;
}
/* Stepper Text */
.stepper-text {
    font-size: 14px;
    color: #5c5c5c;
    margin-top: 8px;
    font-weight: 400;
}

.stepper-text.active {
    color: #4db1e1;
    font-weight: 500;
}

/* Connecting Lines */
.stepper-line {
    flex-grow: 1;
    height: 1px;
    border-radius: 3px;
    background: #e1e1e1;
    margin: 0 10px;
    margin-top: -28px; /* Adjust based on dot size to center vertically */
    z-index: 1;
}

/* State: Line Done (Blue) */
.stepper-line.done {
    background-color: #4db1e1;
}
@media (max-width: 575px) {
    .stepper-line
    {
        width:83%;
        position: absolute;
        
    }
}
